Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::InterpretationRule Struct Reference

InterpretationRule defines a rule that is applied to a reading, resulting in an Interpretation. More...

Inheritance diagram for peripheral::GatewaySensorManager::InterpretationRule:

## Public Attributes

Interpretation | interpretation
| how to interpret the applied rule
int | ignoreTimeout
| if > 0, ignoring stops after this timeout (seconds), and state changes to unavailable

## Detailed Description

InterpretationRule defines a rule that is applied to a reading, resulting in an Interpretation.

A list of InterpretationRule is applied in the given order, and stopped after the first match. If no rule applies, the interpretation is Interpretation::DEFAULT.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl